Google Data API - Release Notes
Notes for v1.43.0
-----------------
o Add HealthDemo to the Health API.
o Fixes issue 249: setUserCredentials method hangs from sample code.
o Sites API adds version 1.3 which includes TagCategory.
o Updates appsforyourdomain API for Gmail Settings.
o Updates GData client URL scheme to use Https. Also Updates several samples.

Notes for v1.42.0
-----------------
o Update Analytics API * New fields

Notes for v1.41.5
-----------------
o Update Analytics API
o Fix AuthSub encoding/decoding issue.

Notes for v1.41.4
-----------------
o Updates Apps For Your Domain API
o Updates Youtube API

Notes for v1.41.3
-----------------
o Updated Apps Audit API 

Notes for v1.41.2
-----------------
o  Updated YouTube API
o  Fixed bug cuased by a new attribute in responses.


Notes for v1.41.1
-----------------
o  Updated Document List Data API.
o  Updated Sites Data API.

Notes for v1.41.0
------------------
o  Added support for resumable media upload feature.
o  Updated Appsforyour Domain Admin settings API.
o  Bug fix in Webmaster tools API to handle file-content attribute.

Notes for v1.40.3
-----------------
o  Updated Google Sites API to include sites and user access control feeds.

Notes for v1.40.2
-----------------
o  Added support for 2 Legged OAuth authentication.
o  Removed requirement to set com.google.gdata.DisableCookieHandler property
   when running in Google App Engine environment.

Notes for v1.40.1
-----------------
o  Updated Project Hosting Data API.
o  Updated Google Analytics Data API.

Notes for v1.40.0
-----------------
o  Added Google Translator Tookkit Data API.
o  Updated Finance Data API to use version 2 of GData protocol.

Notes for v1.39.1
-----------------
o  Added site usefulness element in Google Sidewiki Data API.  For additional
   details see http://code.google.com/apis/sidewiki/changelog.html.

Notes for v1.39.0
-----------------
o  Added support for Google Project Hosting Data API.

Notes for v1.38.0
-----------------
Sep 24, 2009
o  Added support for Google Sites Data API.

Notes for v1.37.0
-----------------
Sep 23, 2009
o  Added support for Google Sidewiki Data API
   (http://code.google.com/apis/sidewiki).

Notes for v1.36.0
-----------------
Aug 25, 2009
o  Added support for version 3 of Documents List Data API.  This update
   includes support for PDF uploads, folder sharing, domain and group
   level ACLs, and document revision history.

Notes for v1.35.1
-----------------
Aug 8, 2009
o  Expanded Google Maps Data API sample code and minor bug fixes.

Notes for v1.35.0
-----------------
Jul 22, 2009
o  Updated Photos Data API to use Version 2 of Google Data Protocol.
o  Removed com.google.gdata.util.common.annotations package in favor of
   com.google.common.annotations available in google-collections library.
o  Fixed bug java.lang.UnsupportedClassVersionError in version 1.34.

Notes for v1.34.0
-----------------
Jun 24, 2009
o  Updated YouTube API data model classes.
o  Fixed encoding issue with atom content in a multipart/related body.

Notes for v1.33.0
-----------------
Jun 8, 2009
o  Update Google Contacts Data API to support version 3 of Contacts API.
   Version 3.0 brings greatly expanded data schema, including support for
   structured name and postal address.
o  Added support for generic group attributes in Google Base Data API.
o  Updated OAuth implementation to support changes related to OAuth 1.0a
   specification.

Notes for v1.32.1
-----------------
May 27, 2009
o  Added support for Table and Record feeds in Google Spreadsheets Data API.

Notes for v1.32.0
-----------------
May 20, 2009
o  Added support for Google Maps Data API.

Notes for v1.31.1
-----------------
Apr 22, 2009
o  Fixed bug in com.google.gdata.util.net.UriEncoder which causes infinite
   when run in JDK 1.5 in MacOS because of a JDK bug.

Notes for v1.31.0
-----------------
Apr 21, 2009
o  Added support for Analytics Google Data API.
o  Updated Books API, Docs API and OAuth samples code.
o  Updated Apps Groups API to use https instead of http.
o  Fixed non-blocking bugs related to comptability with Google Java App Engine.

Notes for v1.30.0
-----------------
Feb 11, 2009
o  Updated ant build configuration to reduce build time by ~60%.  Thanks to
   "mchenryc" for this contribution.  See
   http://code.google.com/p/gdata-java-client/issues/detail?id=82 for details.
o  Added support for ChannelFeed and UserEventFeed in YouTube Data API.
o  Fixed batch support issue in YouTube Data API Feed classes.
o  Fixed bug related to GoogleService#delete fails in case of redirection in
   GData Protocol version 2. See
   http://code.google.com/p/gdata-java-client/issues/detail?id=82 for details.

Notes for v1.29.0
-----------------
Jan 9, 2009
o  Added support for AppsForYourDomain Groups API.

Notes for v1.28.0
-----------------
Dec 17, 2008
o  Fixed bug in com.google.gdata.util.common.base.CharMatcher which shows up
   only when executing in eclipse with JDK 1.5.

Notes for v1.27.0
-----------------
Dec 10, 2008
o  Updated Contacts, Webmaster Tools Google Data APIs to use Version 2 of
   Google Data Protocol. With this
   change all requests from the above mentioned APIs will send requests with
   the "GData-Version" http header set to "2.0".  If you need to request older
   versions of the feed, you can do so by calling "{Property}Service#setProtocolVersion".
o  Contacts Version 2 API has few breaking changes.  For details refer to
   Contacts API version 2 migration guide at
   http://code.google.com/apis/contacts/docs/2.0/migration_guide.html
o  Webmaster Tools Version 2 API does not contain any new features.  But it
   inherits all of the GData Protocol Version 2 core capabilities including
   Etags and user of new opensearch namespace.
o  Added new data model classes for Attendee Feed and Access Control Entry in
   Calendar Data API.

Notes for v1.26.0
-----------------
Nov 20, 2008
o  Fixed bug related to failure to load com.google.gdata.util.common.xml.XmlWriter
   when executing in eclipse with JDK 1.5.

Notes for v1.25.0
-----------------
Nov 13, 2008
o  Updated Google Base, Blogger, Calendar, Code Search, Document List, Finance, Health
   and Spreadsheet Data APIs to use version 2 of Google Data Protocol.  With this
   change all requests from the above mentioned APIs will send requests with
   the "GData-Version" http header set to "2.0".  If you need to request older
   versions of the feed, you can do so by calling "{Property}Service#setProtocolVersion".
o  The Version 2 protocol for above APIs does not contain any new features
   specific to that API.  But they inherit all of the GData Protocol Version 2
   core capabilities including Etags, use of new opensearch namespace.

Notes for v1.24.0
-----------------
Oct 20, 2008
o  Added support for version 2 of Google Data API.  API versioning is
   rolled-out in phases and currently limited documentation about API
   versioning is available at
   http://code.google.com/apis/youtube/2.0/developers_guide_protocol.html#API_Versioning.
   As of this release only YouTube Data API supports version 2.
   Version 2 provides significant feature enhancements including:
   1. Added Support for caching through http ETag headers.  The implementation is
      compatible with specification in RFC 2616 with support for If-Match,
      If-None-Match, If-Modified-Since headers.  Other conditional headers are
      not supported.
   2. Updated OpenSearch namespace from http://a9.com/-/spec/opensearchrss/1.0/
      to http://a9.com/-/spec/opensearch/1.1/.
   3. Introduced "GData-Version" header to indicate requested protocol
      version.  The GData-Version header value is of format
      "<major_version>.<minor_version>".  Possible values as of this release
      are "1.0" and "2.0".  The version information can also be specified
      using "v=2.0" query parameter.
   All version 2 enabled Google Data API Services will continue to support
   version 1 of the protocol.  If both "GData-Version" header and "v" query
   parameter are not specified in the request, the server defaults to
   version 1.0.
o  Updated com.google.gdata.client.youtube.YouTubeService class to use
   version 2 of the YouTube Data API as default version. Refer to YouTube API
   developer guide at
   http://code.google.com/apis/youtube/2.0/developers_guide_protocol.html for
   details on version 2 API.  Refer to YouTube Data API Migration Guide at
   http://code.google.com/apis/youtube/2.0/migration.html for details on
   breaking changes from version 1 to version 2, and details on how to migrate
   your code to work with version 2 of the YouTube Data API.
   NOTE: There are breaking API changes between version 1 and version 2.
   Though it is not required to upgrade to version 2.0 immediately, it is
   highly recommended to upgrade version 2.0.  Older versions of YouTube Data
   API libraries will continue to work until version 1.0 is deprecated.

Notes for v1.23.0
-----------------
Oct 2, 2008
o  Added samples for Apps API interface to update gmail settings.

Notes for v1.22.0
-----------------
Sep 22, 2008
o  Added support for Book Search Data API.
o  Data model updates for Blogger Data API, Youtube Data API.

Notes for v1.21.0
-----------------
Sep 9, 2008
o  Added support for OAuth authentication with options to sign requests
   using RSA-SHA1 or HMAC-SHA1.  See OAuth sample included in this package
   for usage details.
o  Updated PicasaWeb Album API and YouTube API data model classes.
o  Added Atom threading extensions (RFC 4685) support in Blogger API.
o  Fixed a bug related to retries related to session expiry.
o  Support for chunking related to media uploads for large video files.

Notes for v1.20.0
-----------------
Jun 24, 2008
o  Added support for Finance GData API.  For details refer to
   http://code.google.com/apis/finance/.

Notes for v1.19.0
-----------------
Jun 19, 2008
o  Added support for Webmaster Tools API.  For details refer to
   http://code.google.com/apis/webmastertools/.

Notes for v1.18.0
-----------------
May 29, 2008
o  Added support to handle GData Protocol Version 2.  This provides capability
   for the APIs to be fully compliant with Atom Publishing Protocol
   (http://bitworking.org/projects/atom/rfc5023.html).  This introduces a new
   HTTP request header "GData-Version" which indicates whether a
   request/response is v1 or v2.  Not all services are v2 compatible yet.
   Only Blogger API is v2 compatible as of this release.  By default all requests
   will use GData Protocol Version 1.
o  Added support to handle ETags and if-match, if-none-match,
   if-modified-since conditional headers as defined in
   http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.19.  This is
   applicable only for GData Protocol Version 2.
o  Added several new features in Contacts API
   o  Added support to group contacts.
   o  Added support to access/update contact photos.
   o  Added ability to append custom contact fields.
   For details refer to http://code.google.com/apis/contacts/.

Notes for v1.17.0
-----------------
May 20, 2008
o  Added support for Google Health GData API.  This provides minimal interface
   to interact with Google Health Service.  This API does not include data
   model classes for CCR health records.
o  Added new error types in Google Apps API.

Notes for v1.16.4
-----------------
Apr 19, 2008
o  Fixed compiled jars to be compatible with Java 5.

Notes for v1.16.3
-----------------
Apr 03, 2008
o  Added support to enable Authentication to Proxy Service for hosted
   Google Apps.  See AuthSub for Web Application documentation for details
   http://code.google.com/apis/accounts/docs/AuthForWebApps.html.
o  Added support for RFC 822 text message encoding in Email Migration API.
o  Fixed issue related to handling YouTube video entries with empty
   description.

Notes for v1.16.2
-----------------
Mar 12, 2008
o  Added write support including video upload feature in YouTube API.

Notes for v1.16.1
-----------------
Mar 11, 2008
o  Fixed bug related to YouTube video feed parsing error.

Notes for v1.16.0
-----------------
Mar 05, 2008
o  Added Java client support for Google Contacts API.
o  Samples are packaged separately from source code.  With this change, there
   will be two packages, gdata-src.java.zip which contains the API source
   and gdata-samples.java.zip which contains samples and precompiled lib.

Notes for v1.15.2
-----------------
Dec 27, 2007
o  Added support to upload image files using Document List Feed Data API.

Notes for v1.15.1
-----------------
Dec 6, 2007
o  Added support for media feed in Google Base data API.  With the media feed
   support you can manage binary attachments to your Google Base items.  With
   this change you will require Java Mail and Java Activation Framework to
   use Google Base data API.

Notes for v1.15.0
-----------------
Nov 15, 2007
o  Added Java client support for Google Apps Email Migration API.
o  Removed GData API documentation from the release package.  Online
   documentation is available at http://code.google.com/apis/gdata.

Notes for v1.14.1
-----------------
Oct 02, 2007
o  Added batch support for Event Feed in Calendar Data API.
o  Added batch support for Cells Feed in Spreadsheet Data API.
o  Added support to handle foreign markup constraints as specified in RFC4287
   sec 6.3 and AtomPub section 6.2.
o  Lowered visibility of log messages reporting on unrecognized foreign markup
   in xml feeds from INFO level to FINE level.

Notes for v1.14.0
-----------------
Aug 28, 2007
o  Added support for YouTube Data API.
o  Refactored core GData code to remove dependency on
   JavaMail, Java Activation Framework for non-media services.
   With this change, only media dependent services such as,
   Document List Data API, Picasa Web Album API and YouTube Data API require
   JavaMail and Java Activation Framework.
o  Simplified ant build configuration into multiple files.  This may require
   updates to your IDE settings to point to new ant targets.  For the list of
   available build targets refer to java/build.xml ant build file.

Notes for v1.13.0
-----------------
July 30, 2007
o  Added support for Google Documents List Data API.
o  Added support for Calendar Gadgets in Calendar Data API.
o  Added samples for interacting with read/write calendar feeds in
   Calendar Data API
o  Deprecated Geo format gd:geoPt from data model.

Notes for v1.12.0
-----------------
June 21, 2007
o  Added support for standard Geo formats including GeoRSS, W3C Semantic Web IG
   and GML format.  The use of gd:geoPt is discouraged.
o  Updated GData Java client library versioning to follow the standard format
   "<major_release>.<minor_release>.<patch_release>". In this release the
   version number changed from "1.0.11" to "1.12.0" to reflect the updated
   versioning scheme.

Notes for v1.0.11
-----------------
May 15, 2007
o  Added event publisher mashup sample that demonstrates how to retrieve and
   publish structured data from one google service to another google service.
   This sample retrieves list of events stored in a Google Spreadsheet and
   publish those events to Google Calendar and Google Base.

Notes for v1.0.10
-----------------
May 1, 2007
o  Added Java client support and extenstions for Google Calendar
   access control lists (ACLs).
o  Added Blogger GData API sample.
o  Changed inheritance hierarchy for CalendarEventFeed.  As a side effect,
   getEntries() method for Calendar event feed will return list of
   objects of type CalendarEventEntry instead of EventEntry.
o  Changed participant types for CalendarEventEntry.  As a side effect,
   getParticipants() method for Calendar event entry will return list of
   objects of type EventWho instead of Who.

Notes for v1.0.9
----------------
March 21, 2007
o  Added Java client support and extensions for GData Picasa Web Album API.
o  Added Java client support and extensions for GData Apps For Your Domain API.
o  Added "method" attribute to <gd:reminder>.  The "method" attribute can be
   used to specify notification method for Calendar event related reminders.
   The "method" value can be one of ALERT, EMAIL, SMS, ALL or NONE.
o  Introduced dependency on Sun's JavaMail API.  To use client package,
   download and install activation.jar, mail.jar libraries from Sun's JavaMail
   API package version 1.4 or later.

Notes for v1.0.8
----------------
February 22, 2007
o  Added Java client support and extensions for GData Google Base API.
o  Added Java client support and extensions for GData Notebook API.

Notes for v1.0.7
----------------
February 06, 2007
o  Added "return-empty" query parameter to the Spreadsheet Cells feed.
   When present, empty cells are included in query results.
o  Spreadsheets data API: Modified the Spreadsheet Cells feed to allow
   Update (ie. HTTP PUT) on all cells, even empty ones, to change their
   contents.  The use of INSERT on cells is deprecated.  DELETE is
   synonymous with updating the gs:cell@inputValue to the empty string.
o  Fixed the issue of Calendar API sending never-ending series
   of sharding redirects.
o  Modified default configuration of the METHOD_OVERRIDE_PROPERTY
   system property to false.  The Update and Delete methods now use
   HTTP PUT and DELETE, respectively.  To continue with old behavior:
   Using Java command line argument:
      -Dcom.google.gdata.UseMethodOverride=true
   In client code:
      System.setProperty(HttpGDataRequest.METHOD_OVERRIDE_PROPERTY, "true");

Notes for v1.0.6
----------------
November 30, 2006
o  Added Java client support and extensions for GData Spreadsheets
   API.

Notes for v1.0.5
----------------
October 05, 2006
o  Added Java client support and extensions for GData CodeSearch
   API.

Notes for v1.0.4
----------------
September 27, 2006
o  Support Calendar events with web content of different MIME
   types.
o  Support two new data model classes, ValueConstruct and
   EnumConstruct in the Java client library.
o  Change to introspection document collection representation
   (Collection.java) in response to changes in APP draft-10. The
   title information is no longer contained in an attribute of
   <app:collection> but is instead a nested <atom:title> element.

Notes for v1.0.3
----------------
August 29, 2006
o  Added Batch support in GData library for the Google Base API.
o  Added introspection support to the client library.  This
   feature will be supported in the future.
o  Added ability for calendar API to send notifications to users
   when events are added.
o  Added the 'web content' field to Calendar feeds which accepts
   MIME types.
o  Fixed 'pub:draft'.  It was a part of an incorrect namespace and
   has been moved to the Atom Publishing Control namespace.

Notes for v1.0.2
----------------
July 27, 2006
o  Included the AuthSub utility classes
o  Included samples for the Calendar client and AuthSub

Notes for v1.0.1
----------------
April 28, 2006
o  Introduce System property "com.google.gdata.UseMethodOverride"
   to toggle method override functionality.  Currently defaults
   to use the method override.  (The method override is used to
   workaround proxies that do not handle the HTTP methods PUT and
   DELETE properly)

Notes for v1.0.0
----------------
April 19, 2006
o  Initial release
